com.jscape.inet.mft

## Class Function

- java.lang.Object
- - com.jscape.util.functor.UnaryFunction<java.lang.Object[],java.lang.Object>
  - - com.jscape.inet.mft.Function

- All Implemented Interfaces:
    java.io.Serializable

      public abstract class Function
      extends com.jscape.util.functor.UnaryFunction<java.lang.Object[],java.lang.Object>

  Function base interface.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.jscape.util.functor.UnaryFunction

      `com.jscape.util.functor.UnaryFunction.Chain<T,R,U>, com.jscape.util.functor.UnaryFunction.Constant<T,U>, com.jscape.util.functor.UnaryFunction.Evaluator<V,R>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Function()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.jscape.util.Resources` | `getHelp()` Returns extended function help.
    `abstract java.lang.String` | `getName()` Returns a function name.
    `abstract java.util.Map<java.lang.String,java.lang.String>` | `getTemplates()` Returns function template (or templates in case of overloading) with description(s).

    - ### Methods inherited from class com.jscape.util.functor.UnaryFunction

      `constant, evaluate, then`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Function

          public Function()

  - ### Method Detail

    - #### getName

          public abstract java.lang.String getName()

      Returns a function name.
      Returns:
        a function name

    - #### getTemplates

          public abstract java.util.Map<java.lang.String,java.lang.String> getTemplates()

      Returns function template (or templates in case of overloading) with description(s).
      Returns:
        function template(s) with description(s)

    - #### getHelp

          public com.jscape.util.Resources getHelp()

      Returns extended function help.
      Returns:
        extended function help

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.